# OpenBMC documentation

The [OpenBMC project](https://www.openbmc.org/) is a Linux Foundation project
whose goal is to produce a customizable, open-source firmware stack for
Baseboard Management Controllers (BMCs). This repository contains documentation
for OpenBMC as a whole. There may be component-specific documentation in the
repository for each component.

The [features](features.md) document lists the project's major features
with links to more information.

## Contact

- Mail: openbmc@lists.ozlabs.org https://lists.ozlabs.org/listinfo/openbmc
- List Archive: https://lore.kernel.org/openbmc/
- Discord: https://discord.gg/69Km47zH98
- IRC: #openbmc on freenode.net

## OpenBMC Development

These documents contain details on developing OpenBMC code itself

 - [cheatsheet.md](cheatsheet.md): Quick reference for some common
   development tasks

 - [CONTRIBUTING.md](CONTRIBUTING.md): Guidelines for contributing to
   OpenBMC

-  [development tutorials](development/README.md): Tutorials for getting up to
   speed on OpenBMC development

 - [kernel-development.md](kernel-development.md): Reference for common
   kernel development tasks

## OpenBMC Usage

These documents describe how to use OpenBMC, including using the programmatic
interfaces to an OpenBMC system.

 - [code-update](architecture/code-update): Updating OpenBMC and host platform firmware

 - [console.md](console.md): Using the host console

 - [host-management.md](host-management.md): Performing host management tasks
   with OpenBMC

 - [rest-api.md](rest-api.md): Introduction to using the OpenBMC REST API

 - [REDFISH-cheatsheet.md](REDFISH-cheatsheet.md): Quick reference for some
   common OpenBMC Redfish commands

 - [REST-cheatsheet.md](REST-cheatsheet.md): Quick reference for some common
   OpenBMC REST API commands
